{% extends 'base.html' %}

{% block title %}Personal Page{% endblock %}

{% block content %}
    <div class="row mb-4 align-items-center">
        <div class="col">
            <h1>Personal Page </h1>
        </div>
        <div class="col-5 ">
            <a href="{% url 'index' %}">
                <button class="btn btn-primary mx-1 float-right">Find Studies</button>
            </a>
            <a href="{% url 'add_edit_study' %}">
                <button class="btn btn-success mx-1 float-right">Create Study</button>
            </a>
            <a href="{% url 'edit_profile' %}">
                <button class="btn btn-secondary mx-1 float-right">Settings</button>
            </a>
        </div>
    </div>

    <div class="mb-4">
        <h2>Created Studies</h2>
        {% if created_studies|length > 0 %}
            {% include 'show_studies.html' with studies=created_studies %}
        {% else %}
            <p>Heeeey, you have not created a study, yet. Click the `Create Study` button to create
                one now.
            </p>
        {% endif %}
    </div>

    <div>
        <h2>Registered Studies</h2>
        {% if registered_studies|length > 0 %}
            {% include 'show_studies.html' with studies=registered_studies %}
        {% else %}
            <p>Heeeey, you have not registered for a study, yet. Click the `Find Studies` button
                to participate in one.
            </p>
        {% endif %}
    </div>
{% endblock %}